Debian Bug report logs - #726469
ITP: gr-osmosdr - Gnuradio block to work with OsmoSDR and rtl-sdr

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "A. Maitland Bottoms" <bottoms@debian.org>

Date: Wed, 16 Oct 2013 02:21:02 UTC

Owned by: "A. Maitland Bottoms" <bottoms@debian.org>

Severity: wishlist

Fixed in version gr-osmosdr/0.1.0.11.04b4c8-1

Done: bottoms@debian.org (A. Maitland Bottoms)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#726469; Package wnpp. (Wed, 16 Oct 2013 02:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 16 Oct 2013 02:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: submit@bugs.debian.org
Subject: ITP: gr-osmosdr - Gnuradio block to work with OsmoSDR and rtl-sdr
Date: Tue, 15 Oct 2013 22:19:09 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist
Owner: "A. Maitland Bottoms" <bottoms@debian.org>

* Package name    : gr-osmosdr
  Version         : git snapshot
  Upstream Author : Dimitri Stolnikov <horiz0n@gmx.net>, Steve Markgraf <steve@steve-m.de>, Hoernchen <la@tfc-server.de>, Nuand LLC folks
* URL             : http://cgit.osmocom.org/gr-osmosdr/
* License         : GPL, version 3 or later
  Programming Lang: C
  Description     : Software defined radio peripheral support

Git: git://git.osmocom.org/gr-osmosdr

http://sdr.osmocom.org/trac/wiki/GrOsmoSDR

While primarily being developed for the OsmoSDR hardware, this block
as well supports:

 * FUNcube Dongle through libgnuradio-fcd
 * FUNcube Dongle Pro+ through gr-fcdproplus
 * sysmocom OsmoSDR Devices through libosmosdr
 * Nuand LLC bladeRF through libbladeRF library
 * Great Scott Gadgets HackRF through libhackrf
 * Ettus USRP Devices through Ettus UHD library
 * RTL2832U based DVB-T dongles through librtlsdr
 * RTL-TCP spectrum server (see librtlsdr project)
 * MSi2500 based DVB-T dongles through libmirisdr
 * gnuradio .cfile input through libgnuradio-blocks

By using the OsmoSDR block you can take advantage of a common software api in
your application(s) independent of the underlying radio hardware.

NOTE: The osmocom blocks will appear under 'Sources' and 'Sinks' categories
in GRC menu.

This capability is used by the end-user GUI Software Defined Radio
applications gqrx-sdr and sdrangelove.

- -Maitland
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.9 <http://mailcrypt.sourceforge.net/>

iEYEARECAAYFAlJd95QACgkQkwbJvNrxBUxe7ACeJFrMWdxsSJkwke2uhb/+iIDO
tjMAn11FqEKCDWMz8snaBE+hXPyx3djl
=fE6w
-----END PGP SIGNATURE-----



Added blocking bug(s) of 726469: 701018, 724965, 724957, 724967, 724966, 725842, and 725843 Request was from "A. Maitland Bottoms" <bottoms@debian.org> to control@bugs.debian.org. (Wed, 16 Oct 2013 02:30:04 GMT) Full text and rfc822 format available.

Added indication that bug 726469 blocks 662073 Request was from "A. Maitland Bottoms" <bottoms@debian.org> to control@bugs.debian.org. (Wed, 16 Oct 2013 02:45:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 20 Oct 2013 19:06:07 GMT) Full text and rfc822 format available.

Added indication that bug 726469 blocks 726776 Request was from "A. Maitland Bottoms" <bottoms@debian.org> to control@bugs.debian.org. (Sun, 20 Oct 2013 22:00:05 GMT) Full text and rfc822 format available.

Reply sent to bottoms@debian.org (A. Maitland Bottoms):
You have taken responsibility. (Fri, 29 Nov 2013 17:03:24 GMT) Full text and rfc822 format available.

Notification sent to "A. Maitland Bottoms" <bottoms@debian.org>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 17:03:24 GMT) Full text and rfc822 format available.

Message #18 received at 726469-close@bugs.debian.org (full text, mbox):

From: bottoms@debian.org (A. Maitland Bottoms)
To: 726469-close@bugs.debian.org
Subject: Bug#726469: fixed in gr-osmosdr 0.1.0.11.04b4c8-1
Date: Fri, 29 Nov 2013 17:00:06 +0000
Source: gr-osmosdr
Source-Version: 0.1.0.11.04b4c8-1

We believe that the bug you reported is fixed in the latest version of
gr-osmosdr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726469@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A. Maitland Bottoms <bottoms@debian.org> (supplier of updated gr-osmosdr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Oct 2013 17:30:31 -0400
Source: gr-osmosdr
Binary: gr-osmosdr libgnuradio-osmosdr0.0.0
Architecture: source amd64
Version: 0.1.0.11.04b4c8-1
Distribution: unstable
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: A. Maitland Bottoms <bottoms@debian.org>
Description: 
 gr-osmosdr - Gnuradio blocks from the OsmoSDR project
 libgnuradio-osmosdr0.0.0 - Gnuradio blocks from the OsmoSDR project
Closes: 726469
Changes: 
 gr-osmosdr (0.1.0.11.04b4c8-1) unstable; urgency=low
 .
   * New upstream snapshot (Closes: #726469)
   * Match GNU Radio live distribution version
Checksums-Sha1: 
 df45649307c8cc393f05b1d11d4e8cb56b7362e2 1417 gr-osmosdr_0.1.0.11.04b4c8-1.dsc
 b477810fec43f5dafea4955c87546ac464ac3d5e 197217 gr-osmosdr_0.1.0.11.04b4c8.orig.tar.gz
 37c19ce00b7c16c6573fcb3823f63490b89330de 7979 gr-osmosdr_0.1.0.11.04b4c8-1.debian.tar.gz
 6e13a78baa13337db5a974fc7d59f7365f739f3f 172696 gr-osmosdr_0.1.0.11.04b4c8-1_amd64.deb
 d79d9d9f7cc5c842e871710e72c86797f16382fd 176022 libgnuradio-osmosdr0.0.0_0.1.0.11.04b4c8-1_amd64.deb
Checksums-Sha256: 
 1333a716aee22a92bec9ec0fe83cb1d9801c6e273e706578064fe5a0a848633c 1417 gr-osmosdr_0.1.0.11.04b4c8-1.dsc
 35a87cc4b0702ede82db1e83134c3e28845a3f25fe6c89dbbc505413b0aafd4e 197217 gr-osmosdr_0.1.0.11.04b4c8.orig.tar.gz
 d54a6a2f054eb0d8987a0304ebc98909e6ded923ff1551a51a544fd8e4799f09 7979 gr-osmosdr_0.1.0.11.04b4c8-1.debian.tar.gz
 a7508d97993ad288bce122e09d99c40dd35105e8d6d6dc857247c71fbc9c300f 172696 gr-osmosdr_0.1.0.11.04b4c8-1_amd64.deb
 38cf910edc2aef539d20291a25a8a7d112ffc08d9c3255ee1e8a219313e672e0 176022 libgnuradio-osmosdr0.0.0_0.1.0.11.04b4c8-1_amd64.deb
Files: 
 2c75eeb549b098a4e4ab44405466ae2d 1417 libdevel optional gr-osmosdr_0.1.0.11.04b4c8-1.dsc
 70ef4edb9fbbc079174dbe0cf42b0c18 197217 libdevel optional gr-osmosdr_0.1.0.11.04b4c8.orig.tar.gz
 89124967cc3bb3eb0d7d76f068ce2ed8 7979 libdevel optional gr-osmosdr_0.1.0.11.04b4c8-1.debian.tar.gz
 d8c48b3410c0c6d2f72a1e5cab50bddc 172696 libdevel optional gr-osmosdr_0.1.0.11.04b4c8-1_amd64.deb
 b8f2d8b53f8b7b63b9b99b25908a03c2 176022 libs optional libgnuradio-osmosdr0.0.0_0.1.0.11.04b4c8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJkAMMACgkQkwbJvNrxBUwUpQCfdQyrw2bCrJLjz8Y3Wz+qnvmn
PjEAnjVjlO5S5rjehEixWi2uKDo4u22q
=dhNZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:39:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:08:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.